Symbol (rhino 1.7.15 API)

Package org.mozilla.javascript.ast

## Class Symbol

- java.lang.Object
- - org.mozilla.javascript.ast.Symbol

-     public class Symbol
      extends java.lang.Object

  Represents a symbol-table entry.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Symbol()` |
    `Symbol​(int declType, java.lang.String name)` | Constructs a new Symbol with a specific name and declaration type

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Scope` | `getContainingTable()` | Returns the Scope in which this symbol is entered
    `int` | `getDeclType()` | Returns symbol declaration type
    `java.lang.String` | `getDeclTypeName()` |
    `int` | `getIndex()` | Returns symbol's index in its scope
    `java.lang.String` | `getName()` | Returns symbol name
    `Node` | `getNode()` | Returns the node associated with this identifier
    `void` | `setContainingTable​(Scope containingTable)` | Sets this symbol's Scope
    `void` | `setDeclType​(int declType)` | Sets symbol declaration type
    `void` | `setIndex​(int index)` | Sets symbol's index in its scope
    `void` | `setName​(java.lang.String name)` | Sets symbol name
    `void` | `setNode​(Node node)` | Sets the node associated with this identifier
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Symbol

          public Symbol()

    - #### Symbol

          public Symbol​(int declType,
                        java.lang.String name)

      Constructs a new Symbol with a specific name and declaration type
      Parameters:
        `declType` - `Token.FUNCTION`, `Token.LP` (for params), `Token.VAR`, `Token.LET` or `Token.CONST`

  - ### Method Detail

    - #### getDeclType

          public int getDeclType()

      Returns symbol declaration type

    - #### setDeclType

          public void setDeclType​(int declType)

      Sets symbol declaration type

    - #### getName

          public java.lang.String getName()

      Returns symbol name

    - #### setName

          public void setName​(java.lang.String name)

      Sets symbol name

    - #### getNode

          public Node getNode()

      Returns the node associated with this identifier

    - #### getIndex

          public int getIndex()

      Returns symbol's index in its scope

    - #### setIndex

          public void setIndex​(int index)

      Sets symbol's index in its scope

    - #### setNode

          public void setNode​(Node node)

      Sets the node associated with this identifier

    - #### getContainingTable

          public Scope getContainingTable()

      Returns the Scope in which this symbol is entered

    - #### setContainingTable

          public void setContainingTable​(Scope containingTable)

      Sets this symbol's Scope

    - #### getDeclTypeName

          public java.lang.String getDeclTypeName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`